<?php

namespace App\ViewModels\FormaPagamento\FormaPagamentoRegistrationViewModel;

use App\Utils\Builder;
use App\Utils\ResponseException;
use Config\CustomRules;
use Exception;

class BoletoRegistrationViewModelBuilder implements Builder {
	protected $number;
	protected $data_venc;
	protected $valor;

	
	
	public function build() {
		
		$boleto_registration_view_model = new BoletoRegistrationViewModel();
		$boleto_registration_view_model->setNumber( $this->number );
		$boleto_registration_view_model->setDataVenc( $this->data_venc );
		$boleto_registration_view_model->setValor( $this->valor );
				
		return $boleto_registration_view_model;
		
	}
	
	
	/**
	 *
	 * @param mixed $number
	 */
	public function setNumber($number):BoletoRegistrationViewModelBuilder {

		$this->number = $number;
		return $this;

	}

	/**
	 *
	 * @param mixed $
	 
	 */
	public function setDataVenc($data_venc):BoletoRegistrationViewModelBuilder {

		$this->data_venc = $data_venc;
		return $this;

	}

	/**
	 *
	 * @param mixed $atualizado_em
	 */
	public function setValor($valor):BoletoRegistrationViewModelBuilder {

		$this->valor = $valor;
		return $this;

	}


}
